package a3test.a2;

//import jp.sourceforge.acerola3d.*;
import jp.sourceforge.acerola3d.a2.*;
import java.awt.event.*;
import javax.swing.*;

public class A2Util {
    static JFrame frame;
    public static void main(String args[]) throws Exception {
        frame = new JFrame("A2Util");
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent we) {
                frame.dispose();
                System.exit(0);
            }
        });
        A2Canvas canvas = A2Canvas.createA2Canvas(300,300);
        frame.getContentPane().add(canvas);
        frame.pack();
        frame.setVisible(true);

        //Action2D a2 = A2Loader.load("file:///home/ksaito/media/A2/VESMA/creature/creature.a2");
        Action2D a2 = A2Loader.load("x-res:///creature.a2");
        canvas.add(a2);
        canvas.setCameraLocImmediately(0.0,0.0);
        int n = 0;
        while (true) {
            try{Thread.sleep(3000);}catch(Exception e){;}
//            a2.setLoc(Math.cos(theta),Math.sin(theta));
            a2.change(n%4);
            n++;
        }
    }
//MEMO
//ループしないアニメーションGIFは
//最初の一回はアニメーションするけど，
//その後にdrawImage()した時には
//アニメーションしない
//今まで気が付かなかったけど，
//この現象は，前のバージョンでも起きていた．
//毎回toolkit.getImage(url)をしたらどうか？
//イメージはキャッシュされているはずだけど，
//アニメーションのフレームカウンタは
//新規に作成されるかも………
}
